## groovy.security
Class GroovyCodeSourcePermission

Permission required to explicitly specify a codebase for a groovy script whose codebase cannot be determined. Typically this permission is only required by clients that want to associate a code source with a script which is a String or an InputStream.

author:
  Steve Goetze

Constructor Summary
`GroovyCodeSourcePermission(String name)`
`GroovyCodeSourcePermission(String name, String actions)`

Method Summary

Constructor Detail

### GroovyCodeSourcePermission

    public GroovyCodeSourcePermission(String name)

### GroovyCodeSourcePermission

    public GroovyCodeSourcePermission(String name, String actions)

Method Detail